angular.module('IDRMAGISOFT').controller('RegistroController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {

    $(document).ready(function () {
        $('.numR').click(function () {
            var num = $(this);
            //var text = $.trim(num.find('.txtR').clone().children().remove().end().text());
            var text = num.clone().children().remove().end().text();
            if (text == '_') {
                $scope.espacio();
            }
            var telNumber = $('#nombre');
            $scope.NombreCompletoR = telNumber.val() + text;
            $(telNumber).val(telNumber.val() + text);
        });
    });

    function comprobarempty(objeto) {
        if (objeto == "" || objeto == undefined || objeto == {}) {
            return true;
        } else {
            return false;
        }
    }
    
    $scope.borrarDigitos = function () {
        var texto = $scope.NombreCompletoR;
        $scope.nombre = texto.substring(0, texto.length - 1);
        if($scope.nombre == "undefined" || $scope.nombre == undefined){
            $scope.nombre = "";
            $scope.NombreCompletoR = "";
        }else{
            $scope.NombreCompletoR = $scope.nombre;
        }
    }

    $scope.espacio = function () {
        var telNumber = $('#nombre');
        if(!telNumber == ""){
            $scope.NombreCompletoR = telNumber.val() + " ";
            $(telNumber).val(telNumber.val() + " ");
        }
    }

    var cedulaNueva = "";
    var NombreCompletoR = "";

    $scope.aceptarRegistro = function () {
        cedulaR = $sessionStorage.Cedula;
        var telNumber = $('#nombre');
        NombreCompletoR = telNumber.val();
        $http.get("app/model/Servidor.php?accion=RegistrarPaciente&cedulaR=" + cedulaR + "&NombreCompletoR=" + NombreCompletoR)
            .then(function (response) {
                $sessionStorage.NombreCliente = NombreCompletoR;
                $sessionStorage.IdPersona = response.data.respuesta;
                console.log(response.data);
                if(!comprobarempty(response.data.entrega[0])){
                    $sessionStorage.MostrarEntrega = 1;
                    $sessionStorage.IdEntrega = response.data.entrega[0]['id_entrega'];
                }
                $scope.Cedula = "";
                NombreCompletoR = "";
                var telNumber = $('#nombre');
                $scope.NombreCompletoR = NombreCompletoR;
                // $(telNumber).val(telNumber.val() = " ");
                if($sessionStorage.tipoSeleccionada == "1"){
                    $state.go("Telefono");
                }else{
                    $state.go("Sercivios");
                }
            });
    }

    $scope.sinRegistro = function () {
        Nombre = "";
        IdPaciente = "";
        $scope.Cedula = "";
        $sessionStorage.NombreCliente = '';
        $sessionStorage.Cedula = '';
        $state.go("Sercivios");
    }

    $scope.RegresarInicio = function() {
        Nombre = "";
        IdPaciente = "";
        $scope.Cedula = "";
        $sessionStorage.NombreCliente = '';
        $sessionStorage.Cedula = '';
        $state.go("Cedula");
    }
    
    // $(document).ready(function () {
    //     $('.numR').click(function () {
    //         var num = $(this);
    //         var text = $.trim(num.find('.txtR').clone().children().remove().end().text());
    //         if (text == '_') {
    //             $scope.espacio();
    //         }
    //         var telNumber = $('#nombre');
    //         $scope.NombreCompletoR = telNumber.val() + text;
    //         $(telNumber).val(telNumber.val() + text);
    //     });
    // });

    // $scope.borrarDigitos = function () {
    //     var texto = $scope.NombreCompletoR;
    //     $scope.nombre = texto.substring(0, texto.length - 1);
    // }

    // $scope.espacio = function () {
    //     var telNumber = $('#nombre');
    //     $scope.NombreCompletoR = telNumber.val() + " ";
    //     $(telNumber).val(telNumber.val() + " ");
    // }

    // var cedulaNueva = "";
    // var NombreCompletoR = "";

    // $scope.aceptarRegistro = function () {
    //     cedulaR = $sessionStorage.Cedula;
    //     var telNumber = $('#nombre');
    //     NombreCompletoR = telNumber.val();
    //     $http.get("app/model/Servidor.php?accion=RegistrarPaciente&cedulaR=" + cedulaR + "&NombreCompletoR=" + NombreCompletoR)
    //         .then(function (response) {
    //             $sessionStorage.NombreCliente = NombreCompletoR;
    //             $sessionStorage.IdPersona = response.data.respuesta;
    //             $state.go("Sercivios");
    //             $scope.Cedula = "";
    //             NombreCompletoR = "";
    //             var telNumber = $('#nombre');
    //             $scope.NombreCompletoR = NombreCompletoR;
    //             $(telNumber).val(telNumber.val() = " ");
    //         });
    // }

    // $scope.sinRegistro = function () {
    //     Nombre = "";
    //     IdPaciente = "";
    //     $scope.Cedula = "";
    //     $sessionStorage.NombreCliente = '';
    //     $sessionStorage.Cedula = '';
    //     $state.go("Sercivios");
    // }
    
    // $scope.RegresarInicio = function() {
    //     Nombre = "";
    //     IdPaciente = "";
    //     $scope.Cedula = "";
    //     $sessionStorage.NombreCliente = '';
    //     $sessionStorage.Cedula = '';
    //     $state.go("index");
    // }
    
}